io.agora.rtc

## Class TranscodingVideoStream

- java.lang.Object
- - io.agora.rtc.TranscodingVideoStream

-     public class TranscodingVideoStream
      extends java.lang.Object

  Video stream configuration for transcoding.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `alpha` Alpha value
    `private int` | `height` Height (px)
    `private java.lang.String` | `imageUrl` Image URL
    `private int` | `mirror` Mirror mode
    `private int` | `remoteUserUid` Remote user ID
    `private int` | `sourceType` Source type
    `private int` | `width` Width (px)
    `private int` | `x` X coordinate
    `private int` | `y` Y coordinate
    `private int` | `zOrder` Z-order

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscodingVideoStream()` Default constructor for TranscodingVideoStream.
    `TranscodingVideoStream(int sourceType, int remoteUserUid, java.lang.String imageUrl, int x, int y, int width, int height, int zOrder, double alpha, int mirror)` Constructs TranscodingVideoStream with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAlpha()` Gets the alpha value.
    `int` | `getHeight()` Gets the height (px).
    `java.lang.String` | `getImageUrl()` Gets the image URL.
    `int` | `getMirror()` Gets the mirror mode.
    `int` | `getRemoteUserUid()` Gets the remote user ID.
    `int` | `getSourceType()` Gets the source type.
    `int` | `getWidth()` Gets the width (px).
    `int` | `getX()` Gets the X coordinate.
    `int` | `getY()` Gets the Y coordinate.
    `int` | `getZOrder()` Gets the z-order.
    `void` | `setAlpha(double alpha)` Sets the alpha value.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setImageUrl(java.lang.String imageUrl)` Sets the image URL.
    `void` | `setMirror(int mirror)` Sets the mirror mode.
    `void` | `setRemoteUserUid(int remoteUserUid)` Sets the remote user ID.
    `void` | `setSourceType(int sourceType)` Sets the source type.
    `void` | `setWidth(int width)` Sets the width (px).
    `void` | `setX(int x)` Sets the X coordinate.
    `void` | `setY(int y)` Sets the Y coordinate.
    `void` | `setZOrder(int zOrder)` Sets the z-order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceType

          private int sourceType

      Source type

    - #### remoteUserUid

          private int remoteUserUid

      Remote user ID

    - #### imageUrl

          private java.lang.String imageUrl

      Image URL

    - #### x

          private int x

      X coordinate

    - #### y

          private int y

      Y coordinate

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

    - #### zOrder

          private int zOrder

      Z-order

    - #### alpha

          private double alpha

      Alpha value

    - #### mirror

          private int mirror

      Mirror mode

  - ### Constructor Detail

    - #### TranscodingVideoStream

          public TranscodingVideoStream()

      Default constructor for TranscodingVideoStream.

    - #### TranscodingVideoStream

          public TranscodingVideoStream(int sourceType,
                                        int remoteUserUid,
                                        java.lang.String imageUrl,
                                        int x,
                                        int y,
                                        int width,
                                        int height,
                                        int zOrder,
                                        double alpha,
                                        int mirror)

      Constructs TranscodingVideoStream with all parameters.
      Parameters:
        `sourceType` - Source type
        `remoteUserUid` - Remote user ID
        `imageUrl` - Image URL
        `x` - X coordinate
        `y` - Y coordinate
        `width` - Width (px)
        `height` - Height (px)
        `zOrder` - Z-order
        `alpha` - Alpha value
        `mirror` - Mirror mode

  - ### Method Detail

    - #### getSourceType

          public int getSourceType()

      Gets the source type.
      Returns:
        Source type

    - #### setSourceType

          public void setSourceType(int sourceType)

      Sets the source type.
      Parameters:
        `sourceType` - Source type

    - #### getRemoteUserUid

          public int getRemoteUserUid()

      Gets the remote user ID.
      Returns:
        Remote user ID

    - #### setRemoteUserUid

          public void setRemoteUserUid(int remoteUserUid)

      Sets the remote user ID.
      Parameters:
        `remoteUserUid` - Remote user ID

    - #### getImageUrl

          public java.lang.String getImageUrl()

      Gets the image URL.
      Returns:
        Image URL

    - #### setImageUrl

          public void setImageUrl(java.lang.String imageUrl)

      Sets the image URL.
      Parameters:
        `imageUrl` - Image URL

    - #### getX

          public int getX()

      Gets the X coordinate.
      Returns:
        X coordinate

    - #### setX

          public void setX(int x)

      Sets the X coordinate.
      Parameters:
        `x` - X coordinate

    - #### getY

          public int getY()

      Gets the Y coordinate.
      Returns:
        Y coordinate

    - #### setY

          public void setY(int y)

      Sets the Y coordinate.
      Parameters:
        `y` - Y coordinate

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)

    - #### getZOrder

          public int getZOrder()

      Gets the z-order.
      Returns:
        Z-order

    - #### setZOrder

          public void setZOrder(int zOrder)

      Sets the z-order.
      Parameters:
        `zOrder` - Z-order

    - #### getAlpha

          public double getAlpha()

      Gets the alpha value.
      Returns:
        Alpha value

    - #### setAlpha

          public void setAlpha(double alpha)

      Sets the alpha value.
      Parameters:
        `alpha` - Alpha value

    - #### getMirror

          public int getMirror()

      Gets the mirror mode.
      Returns:
        Mirror mode

    - #### setMirror

          public void setMirror(int mirror)

      Sets the mirror mode.
      Parameters:
        `mirror` - Mirror mode